Load a new font

- « imageline

- imageopenpolygon »

- PHP Manual
- GD and Image Functions
- Load a new font

# imageloadfont

(PHP 4, PHP 5, PHP 7, PHP 8)

imageloadfont — Load a new font

### Description

imageloadfont(string `$filename`): GdFont|false

imageloadfont() loads a user-defined bitmap and returns its identifier.

### Parameters

`filename`

  The font file format is currently binary and architecture dependent. This means you should generate the font files on the same type of CPU as the machine you are running PHP on.

  Font file format
  byte position | C data type | description
  --- | --- | ---
  byte 0-3 | int | number of characters in the font
  byte 4-7 | int | value of first character in the font (often 32 for space)
  byte 8-11 | int | pixel width of each character
  byte 12-15 | int | pixel height of each character
  byte 16- | char | array with character data, one byte per pixel in each character, for a total of (nchars*width*height) bytes.

### Return Values

Returns an GdFont instance, or `false` on failure.

### Changelog

Version | Description
--- | ---
8.1.0 | Returns an GdFont instance now; previously, an int was returned.

### Examples

Example #1 imageloadfont() usage example

    <?php// Create a new image instance$im = imagecreatetruecolor(50, 20);$black = imagecolorallocate($im, 0, 0, 0);$white = imagecolorallocate($im, 255, 255, 255);// Make the background whiteimagefilledrectangle($im, 0, 0, 49, 19, $white);// Load the gd font and write 'Hello'$font = imageloadfont('./04b.gdf');imagestring($im, $font, 0, 0, 'Hello', $black);// Output to browserheader('Content-type: image/png');imagepng($im);imagedestroy($im);?>

### See Also

- imagefontwidth() - Get font width
- imagefontheight() - Get font height